1 2 Previous Next 19 Replies Latest reply: Apr 9, 2011 8:22 PM by 854144 RSS

    Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9

    777879
      Dear ,

      I have installed Oracle Database 10g XE ,installed Oracle Forms 10g ,my Operating system was Windows 7,

      when i made Mozilla Fire fox as default browser and run Oracle Forms ,starting OC4j instance.

      Mozilla firfox getting crashed giveing error

      Add-ons: toolbar@ask.com:3.9.1.14019,{51a86bb3-6602-4c85-92a5-130ee4864f13}:3.1.0.12,{CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}:6.0.22,{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.5.2
      BuildID: 20090729225027
      CrashTime: 1292076147
      InstallTime: 1286620824
      ProductName: Firefox
      SecondsSinceLastCrash: 57
      StartupTime: 1292076108
      Theme: classic/1.0
      Throttleable: 1
      URL: http://compaq-pc:8891/forms/frmservlet
      Vendor: Mozilla
      Version: 3.5.2

      This report also contains technical information about the state of the application when it crashed.

      when i made windows Internet Explorer 9 as default browser,

      its giveing error unable to download plugins ,

      i have installed Oracle Jinitiator 1.3.1.22 however when i ask to download plugins browser gets hanged.

      can any one help to run Oracle Forms in my machine.

      thanks in advance.
        • 1. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
          mseberg
          I do not believe Oracle Jinitiator works with Windows 7

          Try changing your formsweb.cfg to use the Sun Java plugin, here's an example:

          http://www.visi.com/~mseberg/Test%20JRE%20Config%20for%20iAS.pdf
          • 2. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
            Marcos_Pawloski
            Hi all

            I suggest you to use Java JRE plugin instead of de old JInitiator. I have many iAS instalations, and because of these "incompatbilities" of Jinit X newer Navigators (and newer versions of windows too) we use only JRE here.

            this is relativelly simple to do.

            Happy Crhistmas


            Marcos Pawloski

            PS. A have Jinitiator working in my Win7 64 bits, but this was a bit dificult to do and i don´t recommend in a corporative and large network

            Edited by: Marcos_Pawloski on 11/12/2010 21:40

            Edited by: Marcos_Pawloski on 11/12/2010 21:46
            • 3. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
              777879
              Hi

              I have installed Oracle Developer suite 10g forms,Oracle XE database in my homePC.

              can you help in checking this parameter
              jinit_download_page=/forms/jinitiator/us/jinit_download.htm

              how its referring C:\Program Files\Oracle\JInitiator 1.3.1.22.

              my mailid-prasad555@hotmail.com

              thanks in advance
              • 4. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                mseberg
                Formsweb.cfg generally has sections for each App and they use either JINIT or Sun Java. In the JINIT example below its using 1.3.1.28, note the jinit_classid, jinit_mimetype and jinit_exename setting. If you apply a patch it will often update these. But the settings work together.

                JINIT

                jinit_download_page=/forms/jinitiator/us/jinit_download.htm
                # Parameter related to the version of JInitiator
                jinit_classid=clsid:CAFECAFE-0013-0001-0028-ABCDEFABCDEF
                # Parameter related to the version of JInitiator
                jinit_exename=jinit.exe#Version=1,3,1,28
                # Parameter related to the version of JInitiator
                jinit_mimetype=application/x-jinit-applet;version=1.3.1.28

                Sun Java

                # Used for Sun JRE/JPI Dynamic CLSID
                jpi_classid=clsid:8AD9C840-044E-11D1-B3E9-00805F499D93
                # for IE browsers, internet:
                # jpi_codebase=https://java.sun.com/update/1.5.0/jinstall-1_5_0_06-windowsi586.cab#Version=1,5,0,6
                # for IE browsers, local machine:
                jpi_codebase=http://tasias01.uservices.umn.edu:7777/forms/jinitiator/jxpiinstall.exe
                # for Firefox/Netscape/IE browsers
                # jpi_mimetype=application/x-java-applet;jpi-version=1.5.0_06
                # better perhaps:
                jpi_mimetype=application/x-java-applet;version=1.5
                # for Firefox/Netscape browsers
                # jpi_download_page=https://java.sun.com/j2se/1.5.0/download.html
                # specific 5.0.6 :
                #jpi_download_page=https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewProduct
                jpi_download_page=http://www.java.com/en/download/index.jsp


                If you find this helpful please mark it so.

                If you are using Windows XP The CLSID is stored in the registry in:

                HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Code Store Database\Distribution Units\

                The CLSID is the key to change what version of JInitiator you are using.



                By default the jinit folder on iAS will have the file “jinit.exe” and the folder “us”. The file “jinit.exe” is the current version of the JInitiator install. The folder “us” should have these four files in it:


                jinit-version.ini
                jinit_download.htm
                jinit_tags.htm
                jinitiator.css

                So if your formsweb.cfg is asking for a different version than is in the jinit folder on iAS you will get prompted over and over to download and install.


                On Windows 7 use the Sun Plugin.
                • 5. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                  777879
                  Hi ,

                  my browser is internet explore 9 ,i am using windows 7 OS.


                  now i understood for installing Oracle jinitiator we have jinit.exe file .

                  for installing javaplugin we have any javaplugin.exe file available .

                  i have in my system java version 6 is available some times i try java program s in myPC.

                  can you say where i get javaplugin.exe file and version.
                  how to apply this in my home PC.

                  can you help to run oracle forms in my homePC.

                  thanks in adavnce.
                  • 6. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                    mseberg
                    The Formsweb.cfg has to be set (That section) to use the Java Plug. If it is set to JINIT the JINIT will try to download and run and it will not work on Windows 7 (or should not work). Does this part make sense?

                    Assuming yes If you set your Formsweb.cfg to use Java the section "jpi_codebase" will determine the download to get the Java you need.

                    Ex

                    jpi_codebase=http://java.sun.com/update/1.6.0/jinstall-6u20-windowsi586.
                    cab#Version=1,6,0,20

                    But your application section must be set to use Java not Jinit.

                    Use the example here for Formsweb.cfg

                    http://www.visi.com/~mseberg/Test%20JRE%20Config%20for%20iAS.pdf

                    Remember you can have two different sections in formsweb.cfg for the same application with different sections names.
                    • 7. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                      777879
                      Hi ,

                      i am trying with java plugin called JRE.
                      i have created a section in formsweb.cfg

                      [purple]
                      # Page displayed to users to allow them to download Sun's Java Plugin.
                      # Sun's Java Plugin is typically used for non-Windows clients.
                      # (NOTE: you should check this page and possibly change the settings)
                      jpi_download_page=http://java.sun.com/products/archive/j2se/1.4.2_06/index.html
                      # Parameter related to the version of the Java Plugin
                      jpi_classid=clsid:CAFEEFAC-0014-0002-0006-ABCDEFFEDCBA
                      # Parameter related to the version of the Java Plugin
                      jpi_codebase=http://java.sun.com/products/plugin/autodl/jinstall-1_4_2-windows-i586.cab#Version=1,4,2,06
                      # Parameter related to the version of the Java Plugin
                      jpi_mimetype=application/x-java-applet;jpi-version=1.4.2_06
                      # EM config parameter
                      # Set this to "1" to enable Enterprise Manager to track Forms processes
                      em_mode=0
                      form=D:\forms\MODULE1.fmx
                      userid=hr/hr@xe
                      lookAndFeel=generic
                      envfile=default.env
                      width=100%
                      height=100%
                      separateFrame=True

                      i have checked in Path D:\DevSuiteHome_2\jre\1.4.2\bin was set,started OC4j instance
                      when i run in IE for
                      http://compaq-PC:8891/forms/server?config=purple its giveing page not found.

                      can you help in proceeding.
                      thanks in advance
                      • 8. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                        mseberg
                        These appear wrong:

                        width=100%
                        height=100%

                        They should be a number, not a percent.

                        Ex

                        width=1080
                        height=740

                        This does not appear to be an iAS server, it looks like a workstation, is that correct?

                        http://compaq-pc:8891/forms/server?config=purple


                        A workstation running the Forms dev is completely different


                        An a server I would expect a port of 7777 or 7778


                        Please advise.

                        if you are using a workstation Start OC4J instance before you try to run you form.

                        Edited by: mseberg on Dec 18, 2010 2:55 AM
                        • 9. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                          777879
                          Hi ,
                          yes ,its workstation not application server.

                          In forms builder ,edit preferences ,application url after resetting to default i get
                          http://compaq-PC:8891/forms/frmservlet
                          for browser if select iexplorer.exe after run forms its referring internet explorer else mozilla firefox either no issues.

                          i corrected width=1080 height=740
                          i started Oc4jinstance after doing changes in config file
                          nothing working explorer giveing page not found,mozilla firefox is giveing unable to read forms/server
                          for http://compaq-pc:8891/forms/server?config=purple

                          thanks in advance.
                          • 10. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                            mseberg
                            OK, but you have iAS installed or Forms/Reports Dev installed??
                            • 11. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                              Marcos_Pawloski
                              Hi

                              With a percent quotation it works too!
                              • 12. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                                777879
                                Hi ,

                                Form/reports developer installed ,not IAS.
                                its Home PC,not in network.

                                can you help to run forms in my Pc,using JRE(javaplugin).

                                thanks in advance.
                                • 13. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                                  mseberg
                                  OK, that's way different than the iAS server information I have been giving you.

                                  How about you start by making sure you don't have JINIT installed on the PC?
                                  • 14. Re: Unable to run Oracle Forms on Mozilla Firefox , Internet Explore 9
                                    777879
                                    Hi ,
                                    by default i have Oracle Jiniator 1.3.1.22,
                                    in D:\DevSuiteHome_2\jinit\us i have checked this version.

                                    i have started OC4j instance and try to run forms ,mozillafirefox is crashing.Internet explore is unable to download Jinitiator.

                                    i have downloaded Jiniator 1.3.1.28 and installed.
                                    this new version of Jiniator 1.3.1.28 is not shown in
                                    D:\DevSuiteHome_2\jinit\us but i have here

                                    C:\Program Files\Oracle\JInitiator 1.3.1.22
                                    C:\Program Files\Oracle\JInitiator 1.3.1.28.

                                    can you help to run Oracle forms in my PC.
                                    thanks in advance.
                                    1 2 Previous Next